#define DATA_IN (PORTBbits.RB5)
#define CLOCK_IN (PORTBbits.RB9)
#define DATA_OUT (LATBbits.LATB3)
#define CLOCK_OUT (LATBbits.LATB2)
#define SEND 0
#define RECEIVE 1
#define RECEIVE1 2
#define RECEIVE2 3
#define BUFLEN 100

#include <ports.h>
#include "PPS.h"

void send_data(unsigned char);
unsigned char receive_data(void);
void reset_keyboard(void);
void set_leds(unsigned char);
unsigned char trans(unsigned char);
unsigned char trans_ex(unsigned char);
unsigned char transkey(void);
void __attribute__((interrupt,no_auto_psv)) _INT1Interrupt(void);
unsigned char extract_keys(void);
